Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 172715 - gnome-screensaver can't use xscreensaver screensavers without migration-script
Summary: gnome-screensaver can't use xscreensaver screensavers without migration-script
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screensaver
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-08 16:56 UTC by Ray Strode [halfline]
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-31 20:59:45 UTC


Attachments (Terms of Use)

Description Ray Strode [halfline] 2005-11-08 16:56:04 UTC
gnome-screensaver currently needs a migration script to convert xscreensaver's
screensaver configuration file format to gnome-screensaver's file format.

This migration script has to be run when the xscreensaver's screensavers are
installed, and adding gnome-screensaver specific migration scripts to
xscreensaver seems bad.

Instead, it would be better if gnome-screensaver just did the migration using
libxslt or something at runtime.

Comment 1 Christopher Aillon 2006-01-13 21:09:26 UTC
What about a trigger in gnome-screensaver's spec that gets run when
xscreensaver* are installed?

Comment 2 Christopher Aillon 2006-01-27 21:03:49 UTC
migrate something, red pill, blue pill. whatever.

Comment 3 Ray Strode [halfline] 2006-01-31 20:59:45 UTC
should work in tomorrow's rawhide.


Note You need to log in before you can comment on or make changes to this bug.